Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.optional.servlet.components.sax.serializers
Class EncodingXMLSerializer

    java.lang.Object
      org.apache.cocoon.components.serializers.util.XMLSerializer
          org.apache.cocoon.optional.servlet.components.sax.serializers.EncodingXMLSerializer

All Implemented Interfaces:
  CachingPipelineComponent, Consumer, Finisher, PipelineComponent, SAXConsumer, SAXPipelineComponent, ContentHandler, LexicalHandler

    public class EncodingXMLSerializer

extends org.apache.cocoon.components.serializers.util.XMLSerializer
implements SAXPipelineComponent, Finisher, SAXConsumer, CachingPipelineComponent

A fancy XML serializer not relying on the JAXP API.

Version:
  $Id: EncodingXMLSerializer.java 825425 2009-10-15 07:51:28Z reinhard $

Constructor Summary
`EncodingXMLSerializer()`

Method Summary
`CacheKey` | `constructCacheKey()`
`void` | `finish()` This method is called after pipeline run - regardless if the run was successful or an exception was thrown.
`String` | `getContentType()`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Constructor Detail

### EncodingXMLSerializer

    public EncodingXMLSerializer()

Method Detail

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`

### finish

    public void finish()

  Description copied from interface: `PipelineComponent`
  This method is called after pipeline run - regardless if the run was successful or an exception was thrown.

  Specified by:
    `finish` in interface `PipelineComponent`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Finisher`

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Description copied from interface: `PipelineComponent`
  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Finisher`

### setup

    public void setup(Map<String,Object> parameters)

  Description copied from interface: `PipelineComponent`
  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.